## OASIS Open Document

OASIS Open Document

## Synopsis

    GError *            gsf_opendoc_metadata_read           (GsfInput *input,
                                                             GsfDocMetaData *md);
    void                gsf_opendoc_metadata_subtree        (GsfXMLIn *doc,
                                                             GsfDocMetaData *md);
    gboolean            gsf_opendoc_metadata_write          (GsfXMLOut *output,
                                                             GsfDocMetaData const *md);

## Description

## Details

### gsf_opendoc_metadata_read ()

    GError *            gsf_opendoc_metadata_read           (GsfInput *input,
                                                             GsfDocMetaData *md);

Read an OpenDocument metadata stream from `input` and store the properties into `md`. Overwrite any existing properties with the same id.

`input` : | GsfInput
`md` : | GsfDocMetaData
Returns : | a GError if there is a problem.

### gsf_opendoc_metadata_subtree ()

    void                gsf_opendoc_metadata_subtree        (GsfXMLIn *doc,
                                                             GsfDocMetaData *md);

Extend `xin` so that it can parse a subtree in OpenDoc metadata format

`doc` : | GsfXMLInDoc
`md` : | GsfDocMetaData

### gsf_opendoc_metadata_write ()

    gboolean            gsf_opendoc_metadata_write          (GsfXMLOut *output,
                                                             GsfDocMetaData const *md);

`output` : |
`md` : |
Returns : |